﻿using CoreLibrary.Core;

namespace CoreLibrary.Evenements
{
    public class JoueurJouerEventArgs
    {
        public int Tour { get; private init; }
        public string Nom { get; private init; }
        public Plateau Plateau { get; private init; }
        public Code Code { get; private init; }
        public bool EstJoueur { get; private init; }

        public JoueurJouerEventArgs(int tour, string nom, Plateau plateau, Code code, bool estJoueur)
        {
            Tour = tour;
            Nom = nom;
            Plateau = plateau;
            Code = code;
            EstJoueur = estJoueur;
        }
    }
}
